Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.framework.concurrent
Class DoDatabaseQueryTask

    java.lang.Object
      org.deegree.framework.concurrent.DoDatabaseQueryTask

All Implemented Interfaces:
  Callable<Object>

    public class DoDatabaseQueryTask

extends Object
implements Callable<Object>

Version:
  $Revision: 6251 $, $Date: 2007-03-19 16:59:28 +0100 (Mo, 19 Mrz 2007) $
Author:
  Andreas Poth, last edited by: $Author: poth $

Constructor Summary
`DoDatabaseQueryTask(DatabaseDataSource datasource, Envelope envelope)` Uses the sql template from the data source.
`DoDatabaseQueryTask(DatabaseDataSource datasource, Envelope envelope, String sql)` Uses the given sql template
`DoDatabaseQueryTask(DatabaseDataSource datasource, Envelope envelope, String sql, Map<String,String> dimProps, GetMap request)`

Method Summary
`FeatureResult` | `call()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoDatabaseQueryTask

    public DoDatabaseQueryTask(DatabaseDataSource datasource,
                               Envelope envelope)

  Uses the sql template from the data source.

  Parameters:
    `datasource` -
    `envelope` -

### DoDatabaseQueryTask

    public DoDatabaseQueryTask(DatabaseDataSource datasource,
                               Envelope envelope,
                               String sql)

  Uses the given sql template

  Parameters:
    `datasource` -
    `envelope` -
    `sql` - custom sql template to use for fetching the data

### DoDatabaseQueryTask

    public DoDatabaseQueryTask(DatabaseDataSource datasource,
                               Envelope envelope,
                               String sql,
                               Map<String,String> dimProps,
                               GetMap request)

Parameters:
  `datasource` -
  `envelope` -
  `sql` -
  `dimProps` -
  `request` -

Method Detail

### call

    public FeatureResult call()
                       throws Exception

  Specified by:
    `call` in interface `Callable<Object>`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org